//*****************************************************************************************************
//******** FORM CONTROLS ******************************************************************************
//*****************************************************************************************************

procedure frmFinalVFinarOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-finar-';
  SetIcoBTN('finar');
end;

procedure frmFinalVListingOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-listing-';
  SetIcoBTN('listing');;
end;

procedure frmFinalVotherwiseOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-otherwise-';
  SetIcoBTN('otherwise');
end;

procedure frmFinalVUnverifiedOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-unverified-';
  SetIcoBTN('unverified');
end;

//*****************************************************************************************************
procedure frmFinalVDateType(sender: TObject);
begin
     if TCheckBox(sender).checked then begin
        frmFinalV_rdnAtrb1.enabled := true; frmFinalV_picAtrb1.enabled := true;
        frmFinalV_rdnAtrb2.enabled := true; frmFinalV_picAtrb2.enabled := true;
        atrb := indi();
     end
     else begin
        frmFinalV_rdnAtrb1.enabled := false; frmFinalV_picAtrb1.enabled := false;
        frmFinalV_rdnAtrb2.enabled := false; frmFinalV_picAtrb2.enabled := false;
        atrb := '-';
     end;
end;

//*****************************************************************************************************
procedure frmFinalVAtrb1OnClick(sender: TObject);
begin
     frmFinalV_rdnAtrb1.Checked := true;
end;

//*****************************************************************************************************
procedure frmFinalVAtrb2OnClick(sender: TObject);
begin
     frmFinalV_rdnAtrb2.Checked := true;
end;

//*****************************************************************************************************
procedure frmFinalVDateSetOnClick(sender: TObject);
begin
     if frmFinalV_chbDateSet.checked then begin
         frmFinalV_rdnNone.enabled := true;
         frmFinalV_rdnAtrb1.enabled := true;
         frmFinalV_rdnAtrb2.enabled := true;
         frmFinalV_dtpDate.enabled := true;
         frmFinalV_chbDateSet.Caption := _('Write / Edit date');
     end
     else begin
         frmFinalV_rdnNone.enabled := false;
         frmFinalV_rdnAtrb1.enabled := false;
         frmFinalV_rdnAtrb2.enabled := false;
         frmFinalV_dtpDate.enabled := false;
         frmFinalV_chbDateSet.Caption := _('No date');
     end;
end;

//*****************************************************************************************************
procedure frmFinalVOKDateOnClick(Sender: TObject);
begin
     cancel := false;
     EraseTAG();
     InsertTAG(mystery,IsDate(),ansiToUtf(frmFinalV_txtNote.text));
end;

//*****************************************************************************************************
procedure frmFinalVEraseOnClick(sender: TObject);
begin
  cancel:=false;
  erase:=true
  if GC.TagValues('FinalVerification') <> '' then
  begin
     EraseTAG();
     frmFinalV.Close;
  end
  else
  begin
    frmFinalV.Close;
  end;
end;

//*****************************************************************************************************
procedure frmFinalVCancelOnClick(sender: TObject);
begin
  cancel := true;
  frmFinalV.Close;
end;

//*****************************************************************************************************
procedure frmFinalVChecker(sender: TObject);
begin
    case source of
         'ggp': GeoCallGGP(GEOGET_SCRIPTDIR + '\Checker\Checker.ggp.pas');
         'ggc': GeoCallGGP(GEOGET_SCRIPTDIR + '\Checker\Checker.ggc.pas');
    end;
end;

//*****************************************************************************************************
procedure frmFinalVNotetOnClick(sender: TObject);
begin
     if (TCheckBox(sender).checked) and (frmFinalV_chbDateSet.checked) then begin
        frmFinalV_txtNote.enabled := true;
     end
     else begin
        frmFinalV_txtNote.enabled := false;
     end;
end;

//*****************************************************************************************************
procedure ReVerif(sender: TObject);
var
   verif: string;
begin
     verif := checker;
     if verif <> 'empty' then begin
        mystery := atrb + verif + '-';
        SetIcoBTN(verif);
        frmFinalV_picVerif.visible:=false;
     end
     else begin
        frmModify('reverif');
     end;
end;

//*****************************************************************************************************
procedure RegisterEvents;
begin
   frmFinalV_picFinar.OnClick:= @frmFinalVFinarOnClick;
   frmFinalV_picListing.OnClick:= @frmFinalVListingOnClick;
   frmFinalV_picOtherwise.OnClick:= @frmFinalVOtherwiseOnClick;
   frmFinalV_picUnverified.OnClick:= @frmFinalVUnverifiedOnClick;
   frmFinalV_picErase.OnClick:= @frmFinalVEraseOnClick;
   frmFinalV_picCancel.OnClick:= @frmFinalVCancelOnClick;
   frmFinalV_chbDateSet.OnClick:=@frmFinalVDateSetOnClick;
   frmFinalV_btnOKDate.OnClick:=@frmFinalVOKDateOnClick;
   frmFinalV_picChecker.OnClick:=@frmFinalVChecker;
   frmFinalV_rdnNone.OnClick := @frmFinalVDateSetOnClick;
   frmFinalV_rdnAtrb1.OnClick := @frmFinalVDateSetOnClick;
   frmFinalV_rdnAtrb2.OnClick := @frmFinalVDateSetOnClick;
   frmFinalV_picAtrb1.OnClick := @frmFinalVAtrb1OnClick;
   frmFinalV_picAtrb2.OnClick := @frmFinalVAtrb2OnClick;
   frmFinalV_picVerif.OnClick := @ReVerif;
end;

//*****************************************************************************************************
//*****************************************************************************************************
//*****************************************************************************************************