//*****************************************************************************************************
//******** FUNCTION ***********************************************************************************
//*****************************************************************************************************

function IsDate(): string;
begin
     if frmFinalV_chbDateSet.checked then begin
        datum := DateToStr(frmFinalV_dtpDate.Date);
     end
     else begin
         datum := '';
     end;
     Result := datum;
end;
//*****************************************************************************************************

procedure EraseTAG();
var
  obsah: string;
begin
     obsah := GC.TagValues('FinalVerification');
     GC.TagDel('FinalVerification',obsah);
     frmFinalV.Close;
end;
//*****************************************************************************************************

function indi(): string;
begin
     Result := '-';
     if not(frmFinalV_chbDateSet.checked) then exit;
     if frmFinalV_rdnAtrb1.checked then Result := '@';
     if frmFinalV_rdnAtrb2.checked then Result := '#';
end;
//*****************************************************************************************************

procedure InsertTAG(mys, dat, note: string);
var
   tag: string;
begin
     atrb := indi();
     mys := atrb + copy(mystery,2,length(mystery));

     if datum <> '' then begin
        tag := trim(mys) + dat + '~';
     end
     else begin
         tag := trim(mys) + '~';
     end;
      GC.TagAdd('FinalVerification', tag + note);
end;
//*****************************************************************************************************

procedure DateON(on: boolean);
begin
     if on = true then begin
        frmFinalV_chbDateSet.Checked := true;
        frmFinalV_dtpDate.enabled := true;
     end
     else begin
        frmFinalV_chbDateSet.Checked := false;
        frmFinalV_dtpDate.enabled := false;
     end
end;
//*****************************************************************************************************

procedure AtrbON(on: boolean);
begin
     if on = true then begin
        frmFinalV_rdnNone.enabled := true;
        frmFinalV_rdnAtrb1.enabled := true; frmFinalV_picAtrb1.enabled := true;
        frmFinalV_rdnAtrb2.enabled := true; frmFinalV_picAtrb2.enabled := true;
     end
     else begin
        frmFinalV_rdnNone.enabled := false;
        frmFinalV_rdnAtrb1.enabled := false; frmFinalV_picAtrb1.enabled := false;
        frmFinalV_rdnAtrb2.enabled := false; frmFinalV_picAtrb2.enabled := false;
     end;
end;
//*****************************************************************************************************

procedure AtrbSET(dtype: string);
begin
     case dtype of
     '-': frmFinalV_rdnNone.checked := true;
     '@': frmFinalV_rdnAtrb1.checked := true;
     '#': frmFinalV_rdnAtrb2.checked := true;
     end;
end;
//*****************************************************************************************************
