//*****************************************************************************************************
//******** FORM PROPERTY ******************************************************************************
//*****************************************************************************************************

const
{$INCLUDE VerifAtrbForm.lib.pas}
{$INCLUDE Visual.lib.pas}

function SetIcoAtribute(ico: string): TPicture;
var
   ikonka: TPicture;
   bmpIco: TBitMap;
begin
     // R-242,G-242,B-242,V-95,S-0
     ikonka := TPicture.create;
     bmpIco := TBitMap.create;

      case ico of
           'A': BitmapStringToBitmap(atrbA, bmpIco);
           'B': BitmapStringToBitmap(atrbB, bmpIco);
           'C': BitmapStringToBitmap(atrbC, bmpIco);
           'D': BitmapStringToBitmap(atrbD, bmpIco);
           'E': BitmapStringToBitmap(atrbE, bmpIco);
           'F': BitmapStringToBitmap(atrbF, bmpIco);
           'G': BitmapStringToBitmap(atrbG, bmpIco);
           'H': BitmapStringToBitmap(atrbH, bmpIco);
           'I': BitmapStringToBitmap(atrbI, bmpIco);
           'J': BitmapStringToBitmap(atrbJ, bmpIco);
           'K': BitmapStringToBitmap(atrbK, bmpIco);
           'L': BitmapStringToBitmap(atrbL, bmpIco);
           'M': BitmapStringToBitmap(atrbM, bmpIco);
           'N': BitmapStringToBitmap(atrbN, bmpIco);
           'O': BitmapStringToBitmap(atrbO, bmpIco);
           'P': BitmapStringToBitmap(atrbP, bmpIco);
      end;
      ikonka.assign(bmpIco);
      result := ikonka;
end;
//*****************************************************************************************************
procedure SetIcoBTN(value: string);
var
   bmpIco: TBitMap;
   ikonka: TBitMap;
   ico: string;

begin

    case value of
      'evince' :  ico := evince;
      'geocheck' : ico := geocheck;
      'geochecker' : ico := geochecker;
      'komurka' : ico := komurka;
      'certitudes' : ico := certitudes;
      'gccounter' : ico := gccounter;
      'unverified' : ico := unverified;
      'listing' : ico := listing;
      'otherwise' : ico := otherwise;
      'finar' : ico := finar;
    end;

     bmpIco := TBitMap.create;
     ikonka := TBitMap.create;
     BitmapStringToBitmap(emptyIco,ikonka);
     ikonka.width := 31; ikonka.height := 16;
     BitmapStringToBitmap(ico, bmpIco);
     ikonka.Canvas.Draw(0, 0, bmpIco);
     frmFinalV_btnOKDate.Hint := 'Hint';
     frmFinalV_btnOKDate.Layout := blGlyphLeft;
     frmFinalV_btnOKDate.Glyph := ikonka;
     bmpIco.free;
end;
//*****************************************************************************************************

procedure frmModify(mdf:String);
begin

                 frmFinalV.Caption:=utfToAnsi(GC.ID + ' > ' + GC.name);
                 frmFinalV_picChecker.visible:=false;

     case mdf of

          'insert' : begin;
                 frmFinalV.height:=130;
                 frmFinalV.width:=418;
                 frmFinalV_chbDateSet.visible:=true;
                 frmFinalV_dtpDate.visible:=true;
                 frmFinalV_picFinar.visible:=true;
                 frmFinalV_picListing.visible:=true;
                 frmFinalV_picOtherwise.visible:=true;
                 frmFinalV_picUnverified.visible:=true;
                 frmFinalV_picErase.top:=58;
                 frmFinalV_picErase.visible:=false;
                 frmFinalV_btnOKDate.top:=66;
                 frmFinalV_btnOKDate.visible:=true;
                 frmFinalV_picChecker.top:=61;
                 frmFinalV_picChecker.visible:=false;
                 frmFinalV_picVerif.visible:=false;
          end;

          'date' : begin;
                 frmFinalV.height:=130;
                 frmFinalV.width:=418;
                 frmFinalV_chbDateSet.visible:=true;
                 frmFinalV_dtpDate.visible:=true;
                 frmFinalV_picFinar.visible:=false;
                 frmFinalV_picListing.visible:=false;
                 frmFinalV_picOtherwise.visible:=false;
                 frmFinalV_picUnverified.visible:=false;
                 frmFinalV_picErase.visible:=false;
                 frmFinalV_picErase.top:=58;
                 frmFinalV_btnOKDate.top:=66;
                 frmFinalV_btnOKDate.visible:=true;
                 frmFinalV_picChecker.top:=61;
                 if (FileExists(GEOGET_SCRIPTDIR+'\Checker\Checker.ggp.pas')) then frmFinalV_picChecker.visible:=true;
                 frmFinalV_picVerif.visible:=false;
          end;

          'edit' : begin;
                 frmFinalV.height:=130;
                 frmFinalV.width:=418;
                 frmFinalV_chbDateSet.visible:=true;
                 frmFinalV_dtpDate.visible:=true;
                 frmFinalV_picFinar.visible:=false;
                 frmFinalV_picListing.visible:=false;
                 frmFinalV_picOtherwise.visible:=false;
                 frmFinalV_picUnverified.visible:=false;
                 frmFinalV_picErase.visible:=true;
                 frmFinalV_picErase.top:=58;
                 frmFinalV_btnOKDate.top:=66;
                 frmFinalV_btnOKDate.visible:=true;
                 frmFinalV_picChecker.top:=61;
                 frmFinalV_picChecker.visible:=false;
                 frmFinalV_picVerif.visible:=true;
          end;

          'reverif' : begin;
                 frmFinalV_picFinar.visible:=true;
                 frmFinalV_picListing.visible:=true;
                 frmFinalV_picOtherwise.visible:=true;
                 frmFinalV_picUnverified.visible:=true;
                 frmFinalV_picVerif.visible:=false;
          end;
     end;
end;

//*****************************************************************************************************
//*****************************************************************************************************
//*****************************************************************************************************